import {Modal} from "bootstrap";
import {getTableAPI} from "./table";

export function getCurrentlySelectedList(): number|null {
    const listSelect = document.querySelector<HTMLSelectElement>('#list-select');
    if (!listSelect) {
        return null;
    }

    return parseInt(listSelect.value);
}

export function init() {
    const modal = document.querySelector('#create-list-modal');
    if (!modal) {
        return;
    }

    const modalObj = new Modal(modal);

    modal.addEventListener('show.bs.modal', (e) => {
        const input = modal.querySelector<HTMLInputElement>('#createListName');
        if (!input) {
            return;
        }

        input.value = '';
    })
    modal.querySelector('.js--create-list')?.addEventListener('click', async (e) => {
        const input = modal.querySelector<HTMLInputElement>('#createListName');
        if (!input) {
            return;
        }

        const newName = input.value;

        const formData = new FormData();
        formData.append('name', newName);

        const response = await fetch(
            `/api/web/keys/list/create`,
            {
                method: 'POST',
                body: formData
            }
        );

        if (!response.ok) {
            throw new Error(response.statusText);
        }

        window.location.reload();
    });

    const listSelect = document.querySelector<HTMLSelectElement>('#list-select');
    if (listSelect) {
        listSelect.addEventListener('change', (e) => {
            if (listSelect.value === '_create') {
                modalObj.show()
                return;
            }

            getTableAPI().ajax.reload();
        })
    }

    const newButton = document.querySelector('.js--create-list-button');
    if (newButton) {
        newButton.addEventListener('click', () => modalObj.show())
    }
}