<?php
declare(strict_types=1);
namespace GamesShop\Errors;

use Exception;
use GamesShop\ContainerHandler;
use Whoops\Handler\HandlerInterface;
use Whoops\Handler\PrettyPageHandler;



final class ExtendedException extends Exception
{
    public function __construct(string $message = "", array $additionals = [], int $code = 0, ?Throwable $previous = null)
    {
        parent::__construct($message, $code, $previous);

        $handler = ContainerHandler::get(HandlerInterface::class);

        if (!($handler instanceof PrettyPageHandler)) {
            return;
        }

        $handler->addDataTable("Additional Info", $additionals);
    }
}