<?php
declare(strict_types=1);

namespace GamesShop\Routing;

use GamesShop\ContainerHandler;
use GamesShop\Templates\TemplateEngine;
use Laminas\Diactoros\Response;
use Psr\Http\Message\ResponseInterface;

final class ErrorRoute
{
    public function renderErrorPage(int $errorCode): ResponseInterface {
        $pageContent = ContainerHandler::get(TemplateEngine::class)->renderErrorPage($errorCode);

        $response = new Response(status: $errorCode);
        $response->getBody()->write($pageContent);
        return $response;
    }
}